Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Gentoo non ama firefox 3b5?
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
gjiptbtxdioc
n00b
n00b


Joined: 09 Apr 2008
Posts: 10

PostPosted: Wed May 07, 2008 9:34 pm    Post subject: Gentoo non ama firefox 3b5? Reply with quote

Ciao ragazzi,
c'è una cosa che non riesco a spiegarmi: volevo compilare firefox 3b5 e così ho provveduto a smascherare tutte le dipendenze. Alla fine sono riuscito a compilarlo e sembra che vada a meraviglia. Fin qui tutto bene, ma se provo a dare il comando

Code:

emerge -avuDN world


noto che gentoo vuole riportare firefox alla versione 2! Viceversa, se ho la versione 2 e non la 3 (smascherata e quindi con un semplice emerge mozilla-firefox mi compila la tre) e do il comando emerge -avuDN world, gentoo non mi avvisa che firefox è da aggiornare alla 3b5.

Come faccio a risolvere questo piccolo inconveniente?

Spero di essermi espresso in un italiano comprensibile.

Grazie a tutti in anticipo
Back to top
View user's profile Send private message
darkmanPPT
Veteran
Veteran


Joined: 13 Apr 2006
Posts: 1069
Location: vi/bo

PostPosted: Wed May 07, 2008 10:37 pm    Post subject: Reply with quote

aggiungi all'emerge l'opzione "-t" e posta il risultato
vedrai quale pacchetto sta richiedendo il downgrade :wink:
_________________
Darkman
Back to top
View user's profile Send private message
gjiptbtxdioc
n00b
n00b


Joined: 09 Apr 2008
Posts: 10

PostPosted: Wed May 07, 2008 11:01 pm    Post subject: Reply with quote

darkmanPPT wrote:
aggiungi all'emerge l'opzione "-t" e posta il risultato
vedrai quale pacchetto sta richiedendo il downgrade :wink:


grezie per avermi risposto. Ecco il risultato

Code:

emerge -avtuDN world

These are the packages that would be merged, in reverse order:

Calculating world dependencies... done!
[nomerge      ] app-cdr/k3b-1.0.4  USE="alsa dvdr dvdread encode ffmpeg hal mp3 vorbis -arts -css -debug -emovix -flac -musepack -musicbrainz -sndfile -vcd -xinerama" LINGUAS="it -af -ar -bg -br -bs -ca -cs -cy -da -de -el -en_GB -es -et -eu -fa -fi -fr -ga -gl -he -hi -hu -is -ja -ka -lt -mk -ms -nb -nds -nl -nn -pa -pl -pt -pt_BR -ru -rw -se -sk -sr -sr@Latn -sv -ta -tr -uk -uz -zh_CN -zh_TW"
[ebuild     U ]  kde-base/kdelibs-3.5.9-r3 [3.5.8-r3] USE="acl alsa cups fam kerberos spell tiff -arts -avahi -bindist -branding -debug -doc -jpeg2k -kdeenablefinal -kdehiddenvisibility -legacyssl -lua -openexr -utempter -xinerama" 15,242 kB
[ebuild     UD] www-client/mozilla-firefox-2.0.0.14 [3.0_beta5-r2] USE="gnome java -bindist -debug -filepicker% -iceweasel% -ipv6 -mozdevelop -moznopango% -restrict-javascript -xforms% -xinerama% -xprint% (-dbus%*) (-startup-notification%) (-xulrunner%*)" LINGUAS="it -af -ar -be -bg% -ca -cs -da% -de -el -en -en_GB -en_US -es -es_AR -es_ES -eu -fi -fr -fy -fy_NL -ga% -ga_IE% -gu -gu_IN -he -hu -ja -ka -ko -ku -lt -mk -mn -nb -nb_NO -nl -nn -nn_NO -pa -pa_IN -pl -pt -pt_BR -pt_PT -ro -ru -sk -sl% -sv -sv_SE -tr -uk -zh -zh_CN -zh_TW (-id%) (-sq%)" 0 kB

Total: 2 packages (1 upgrade, 1 downgrade), Size of downloads: 15,242 kB

Would you like to merge these packages? [Yes/No]
Back to top
View user's profile Send private message
Scen
Retired Dev
Retired Dev


Joined: 29 Jul 2003
Posts: 2470
Location: Padova, Italy

PostPosted: Thu May 08, 2008 6:47 am    Post subject: Reply with quote

Hai provato a lanciare
Code:

emerge -av =mozilla-firefox-3*

?

Te lo lascia installare senza problemi od emerge si lamenta?
_________________
I was born in a deep forest/I wish I could live here all my life/I am made from stones and roots/My home, these woods and roads
All my life I loved this sound/Of the woods all around/Eagles flies where the winds blows free
Journey is my destiny
Back to top
View user's profile Send private message
riverdragon
Veteran
Veteran


Joined: 14 Sep 2006
Posts: 1269
Location: Verona

PostPosted: Thu May 08, 2008 8:34 am    Post subject: Reply with quote

Anche per gli utenti Gnome non c'è nulla da fare:
Code:
$ equery d mozilla-firefox
[ Searching for packages depending on mozilla-firefox... ]
dev-java/swt-3.3.1.1 (firefox & !xulrunner? >=www-client/mozilla-firefox-2)
dev-python/gnome-python-extras-2.19.1-r1 (!xulrunner & firefox? =www-client/mozilla-firefox-2*)
gnome-extra/yelp-2.22.1-r1 (!xulrunner? =www-client/mozilla-firefox-2*)
media-video/totem-2.22.2 (nsplugin & !xulrunner & !seamonkey? =www-client/mozilla-firefox-2*)
net-news/liferea-1.4.15 (!xulrunner & firefox? =www-client/mozilla-firefox-2*)
net-www/mplayerplug-in-3.50 (firefox? =www-client/mozilla-firefox-2*)
Bisogna aspettare che diventi stabile e che vengano cambiate un po' di dipendenze, ahimè. Volevo aggiornarlo anche io, ma non essendo un pacchetto con gli slot non si possono avere versioni concorrenti installate.
Back to top
View user's profile Send private message
mmiki
n00b
n00b


Joined: 12 Nov 2007
Posts: 6

PostPosted: Fri May 09, 2008 10:13 am    Post subject: Reply with quote

riverdragon wrote:
Volevo aggiornarlo anche io, ma non essendo un pacchetto con gli slot non si possono avere versioni concorrenti installate.


puoi risolvere installando il pacchetto binario di firefox3, così puoi usarlo assieme a ff2
Back to top
View user's profile Send private message
ProT-0-TypE
Veteran
Veteran


Joined: 20 Dec 2003
Posts: 1624
Location: Cagliari

PostPosted: Fri May 09, 2008 4:03 pm    Post subject: Reply with quote

non mi sembra sia colpa delle dipendenze, forse sei tu che hai smascherato il pacchetto male.

Puoi postare il risultato di un eix -e mozilla-firefox?
_________________
[Vuoi guadagnare navigando?]
Back to top
View user's profile Send private message
gjiptbtxdioc
n00b
n00b


Joined: 09 Apr 2008
Posts: 10

PostPosted: Sun May 11, 2008 8:17 am    Post subject: Reply with quote

riverdragon wrote:
Anche per gli utenti Gnome non c'è nulla da fare:
Code:
$ equery d mozilla-firefox
[ Searching for packages depending on mozilla-firefox... ]
dev-java/swt-3.3.1.1 (firefox & !xulrunner? >=www-client/mozilla-firefox-2)
dev-python/gnome-python-extras-2.19.1-r1 (!xulrunner & firefox? =www-client/mozilla-firefox-2*)
gnome-extra/yelp-2.22.1-r1 (!xulrunner? =www-client/mozilla-firefox-2*)
media-video/totem-2.22.2 (nsplugin & !xulrunner & !seamonkey? =www-client/mozilla-firefox-2*)
net-news/liferea-1.4.15 (!xulrunner & firefox? =www-client/mozilla-firefox-2*)
net-www/mplayerplug-in-3.50 (firefox? =www-client/mozilla-firefox-2*)
Bisogna aspettare che diventi stabile e che vengano cambiate un po' di dipendenze, ahimè. Volevo aggiornarlo anche io, ma non essendo un pacchetto con gli slot non si possono avere versioni concorrenti installate.


questo comando non lo conoscevo. Grazie!!! :D :D

Quote:

non mi sembra sia colpa delle dipendenze, forse sei tu che hai smascherato il pacchetto male.

Puoi postare il risultato di un eix -e mozilla-firefox

Code:

 eix -e mozilla-firefox
[D] www-client/mozilla-firefox
     Available versions:  2.0.0.11 2.0.0.12 2.0.0.13 {bindist debug filepicker gnome iceweasel ipv6 java linguas_af linguas_ar linguas_be linguas_bg linguas_ca linguas_cs linguas_da linguas_de linguas_el linguas_en_GB linguas_es linguas_es_AR linguas_es_ES linguas_eu linguas_fi linguas_fr linguas_fy linguas_fy_NL linguas_ga linguas_ga_IE linguas_gu linguas_gu_IN linguas_he linguas_hu linguas_it linguas_ja linguas_ka linguas_ko linguas_ku linguas_lt linguas_mk linguas_mn linguas_nb linguas_nb_NO linguas_nl linguas_nn linguas_nn_NO linguas_pa linguas_pa_IN linguas_pl linguas_pt linguas_pt_BR linguas_pt_PT linguas_ro linguas_ru linguas_sk linguas_sl linguas_sv linguas_sv_SE linguas_tr linguas_uk linguas_zh linguas_zh_CN linguas_zh_TW mozdevelop moznopango restrict-javascript xforms xinerama xprint}
     Installed versions:  3.0_beta5-r2(23:19:54 07/05/2008)(dbus gnome java linguas_it xulrunner -bindist -debug -ipv6 -linguas_af -linguas_ar -linguas_be -linguas_ca -linguas_cs -linguas_de -linguas_el -linguas_en -linguas_en_GB -linguas_en_US -linguas_es -linguas_es_AR -linguas_es_ES -linguas_eu -linguas_fi -linguas_fr -linguas_fy -linguas_fy_NL -linguas_gu -linguas_gu_IN -linguas_he -linguas_hu -linguas_id -linguas_ja -linguas_ka -linguas_ko -linguas_ku -linguas_lt -linguas_mk -linguas_mn -linguas_nb -linguas_nb_NO -linguas_nl -linguas_nn -linguas_nn_NO -linguas_pa -linguas_pa_IN -linguas_pl -linguas_pt -linguas_pt_BR -linguas_pt_PT -linguas_ro -linguas_ru -linguas_sk -linguas_sq -linguas_sv -linguas_sv_SE -linguas_tr -linguas_uk -linguas_zh -linguas_zh_CN -linguas_zh_TW -mozdevelop -restrict-javascript -startup-notification)
     Homepage:            http://www.mozilla.org/projects/firefox/
     Description:         Firefox Web Browser
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum